
Namespace IDB
    Public Class Database
        Public Const OBJECT_STATE_FILE_ADDED = "File added"
        Public Const OBJECT_STATE_FILE_VERSIONED = "File versioned"
        Public Const OBJECT_STATE_FILE_CHANGED = "File changed"
        Public Const OBJECT_STATE_FILE_DELETED = "File deleted"
        Public Const OBJECT_STATE_METADATA_CHANGED = "Metadata changed"
        Public Const OBJECT_STATE_ATTRIBUTEVALUE_DELETED = "Attributevalue deleted"

        Public Enum NamedDatabase
            ECM
            IDB
        End Enum
    End Class

End Namespace

